Bug 114991 - three compile time problems
Summary: three compile time problems
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnomeprint22 (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-05 09:52 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 15:28:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-05 09:52:19 UTC
Description of problem:

I just tried to compile package libgnomeprint22-2.4.0-1 from Redhat
Fedora Core 1.

The compiler said

1.

gnome-print-pdf.c(911): warning #268: the format string ends before
this argument

The source code is

                gnome_print_pdf_fprintf (pdf,
                                         ">>" EOL
                                         "endobj" EOL,
                                         object_number);

No % specifiers, but parameter object_number. I'm not sure what the fix
is for this problem.

2.

gp-tt-t1.c(4945): warning #268: the format string ends before this
argument

The source code is

        retval = ttf_printf (retval, &size, &length,
                            "%d %d hstem\n"
                            , g->hstems[i].value, g->hstems[i + 1].value
                            , g->hstems[i + 1].value -
g->hstems[i].value);

Two %d specifiers, three parameters.

3.

generate.c(332): remark #592: variable "ret" is used before its value
is set

The source code is

        gint ret;
        gchar *p, *end;

        ret += gnome_print_beginpage (pc, "1");

Suggest add

	ret = 0;


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Owen Taylor 2004-08-03 15:28:37 UTC
1. Filed upstream as:

 http://bugzilla.gnome.org/show_bug.cgi?id=149160

 It's a harmless warning so I'm not going to bother to fix in
 our package.

2. Duplicate of bug 114990, code no longer exists in current
  upstream package.

3. Filed upstream as 
http://bugzilla.gnome.org/show_bug.cgi?id=149161
  Only in test program that isn't used in build, so I'm not
  going to bother to fix inj our package.



Note You need to log in before you can comment on or make changes to this bug.